/****************************************************************************
 *	table type 
 ****************************************************************************/
.table-scroll {
	width:100%;
	overflow-x:auto;
}

table {
	
}

table.fixed {
	table-layout:fixed;
	height:auto;
	word-break: keep-all;        /* 한글 단위 줄바꿈 */
	overflow-wrap: break-word;   /* 너무 긴 단어가 넘치면 자르기 */
	white-space: normal;         /* 줄바꿈 허용 */	
}

/* 테이블 타입 - 기본 */
table {
	clear:both;
	
	margin:0px;
	padding:0px;
	
	width:100%;
	border-collapse:collapse;
	
	box-sizing: border-box;
}

table th {
	padding:5px;
	word-break:keep-all;
}

table td {
	padding:5px;
	word-break:keep-all;
}

/* 테이블 mini */
table.mini th {
	padding:3px !important;
	font-size:12px !important;
}

table.mini td {
	padding:3px !important;
	font-size:12px !important;
}

/* 테이블 타입 - 목록 */
table.list {
	margin-top:5px;
}

table.list > thead > tr:last-child {
	border-bottom:2px solid var(--gray-color3);
}

table.list > thead > tr > th {
	color:var(--gray-color4);
	padding-bottom:10px;
}

table.list > thead > tr > td {
	text-align:center;
	color:var(--gray-color4);
	padding-bottom:10px;
}

table.list > thead > tr > td.border-bottom {
	background-image:url("/image/common/dot.png");
	background-repeat:no-repeat;
	background-position:bottom;
	background-size:calc(100% - 6px) 1px;	
}

table.list > tbody > tr {
	border-top:1px solid var(--gray-color2);
}

table.list > tbody > tr.selected {
	color: #c6c6c6;
}

table.list > tbody > tr:hover {
	background-color:var(--bg-color2);
}

table.list > tbody > tr.active {
	font-weight:600;
	color: var(--bg-color6);
	background-color:var(--bg-color4);	
}

table.list > tbody > tr.event {
	background-color: var(--tr-event);
}

table.list > tbody > tr:last-child {
	border-bottom:1px solid var(--gray-color3);
}

table.list > tbody > tr.is119 {
	animation: pulse 1s infinite;
}

table.list > tbody > tr > td.icon {
	background-size:20px;
}


table.list > tfoot > tr {

}

table.list > tfoot > tr > td {
	padding-top: 20px;
	text-align:center;
}

/* 테이블 타입 - 등록 및 수정 */
table.modify {
	margin-top:5px;	
}

table.modify > thead > tr {
	border-bottom:2px solid var(--gray-color3);
}

table.modify > thead > tr > th {
	color:var(--gray-color4);
	padding-bottom:10px;
	text-align:left;
}

table.modify > tbody > tr > th {
	color:var(--gray-color4);
	font-weight:300;
	text-align:left;
}

table.modify > tbody > tr:nth-child(1) {
	/* border-top:1px solid var(--gray-color3); */
}

table.modify > tbody > tr:not(:nth-child(1)) {
	border-top:1px solid var(--gray-color2);
}


table.modify > tfoot > tr {
	border-top:1px solid var(--gray-color3);
}

table.modify > tfoot > tr > td {
	padding-top: 20px;
	text-align:right;
}

/* 테이블 타입 - 개인정보처리방침 타입 */
table.privacy {
	margin-top:5px;	
	margin-bottom:5px;
}

table.privacy > thead > tr > th {
	font-weight:400;
	border:1px solid var(--gray-color3);
	background-color:var(--gray-color2);
	text-align:center;
}

table.privacy > thead > tr > th:first-child {
	border-left:0px;
}

table.privacy > thead > tr > th:last-child {
	border-right:0px;
}

table.privacy > tbody > tr > td {
	border:1px solid var(--gray-color3);
}

table.privacy > tbody > tr > td:first-child {
	border-left:0px;
}

table.privacy > tbody > tr > td:last-child {
	border-right:0px;
}

/* 테이블 타입 - 통계 */
table.statistics {
	margin-top:5px;	
}

table.statistics > thead > tr:last-child {
	border-bottom:2px solid var(--gray-color3);
}

table.statistics > thead > tr > th {
	color:var(--gray-color4);
	padding-bottom:10px;
}

table.statistics > thead > tr > td {
	text-align:center;
	color:var(--gray-color4);
	padding-bottom:10px;
}

table.statistics > thead > tr > td.border-bottom {
	background-image:url("/image/common/dot.png");
	background-repeat:no-repeat;
	background-position:bottom;
	background-size:calc(100% - 6px) 1px;
}

table.statistics > tbody > tr {
	border-top:1px solid var(--gray-color2);
}

table.statistics > tbody > tr:hover {
	background-color:var(--bg-color2);
}

table.statistics > tbody > tr > td:hover {
	background-color:var(--gray-color2) !important;
}

table.statistics > tbody > tr > td {
	text-align:center;
}


table.statistics > tbody > tr:last-child {
	border-bottom:1px solid var(--gray-color3);
}

table.statistics > tfoot > tr {
	border-bottom:1px solid var(--gray-color2);
}

table.statistics > tfoot > tr > td {
	font-weight:600;
	padding: 10px !important;
	background-color:var(--bg-color2);
	text-align:center;
}

table.statistics > tfoot > tr > td:hover {
	padding: 10px !important;
	background-color:var(--gray-color2);
	text-align:center;
}
